{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key UAM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitypatchcollection+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entitymatchupdatecollection+json"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollectionpage+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.assetregistertreenode+json",
    "application/vnd.onkey.assetregistertreenodecollectionpage+json"
  ],
  "paths": {
    "/Modules/UAM/OperationalRoles/{id}": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a Operational Role resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | OperationalRole->Code | string |  |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | OperationalRole->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | OperationalRole->PermissionTree_Description | string |  |\r\n| createdByUserId | OperationalRole->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRole->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRole->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRole->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRole->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRole->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRole->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRole->ModifiedOn | string | date-time |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| description | OperationalRole->Description | string |  |\r\n| notes | OperationalRole->Notes | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetOperationalRole",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Operational Role",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Update an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateOperationalRole",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Delete an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRole",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a collection of Operational Role resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n",
        "operationId": "GetOperationalRoleCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Operational Role collection",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Create a new Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "CreateOperationalRole",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Lookups/LookupOperationalRoleChangePermissionTree": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Lookup the permission set for changing the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupOperationalRoleChangePermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleChangePermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Lookups/LookupOperationalRoleInsertPermissionTree": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Lookup the permission set for creating the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupOperationalRoleInsertPermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleInsertPermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/{ids}": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a collection of Operational Role resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | OperationalRole->Code | string |  |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | OperationalRole->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | OperationalRole->PermissionTree_Description | string |  |\r\n| createdByUserId | OperationalRole->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRole->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRole->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRole->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRole->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRole->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRole->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRole->ModifiedOn | string | date-time |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| description | OperationalRole->Description | string |  |\r\n| notes | OperationalRole->Notes | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetOperationalRole",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Operational Role id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Operational Role collection",
            "schema": {
              "$ref": "#/definitions/BatchGetOperationalRoleResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch": {
      "post": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Create a new collection of Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchCreateOperationalRole",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Operational Role batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Update a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateOperationalRole",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Delete a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteOperationalRole",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteOperationalRoleResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{id}/Active": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the IsActive status for an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeOperationalRoleIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeOperationalRoleIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the PermissionTree for an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeOperationalRolePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeOperationalRolePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/Active": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the IsActive status for a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeOperationalRoleIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeOperationalRoleIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeOperationalRolePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeOperationalRolePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/{id}": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a Operational Role Resource resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleResource->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleResource->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleResource->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleResource->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleResource->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleResource->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleResource->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleResource->ModifiedOn | string | date-time |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| inheritedFromId | OperationalRoleResource->InheritedFrom_Id | integer | int64 |\r\n| inheritedFromType | OperationalRoleResource->InheritedFrom_Type | string |  |\r\n| inheritedFromModule | OperationalRoleResource->InheritedFrom_Module | string |  |\r\n| inheritedFromIsDefault | OperationalRoleResource->InheritedFrom_IsDefault | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetOperationalRoleResource",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Operational Role Resource",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleResourceResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Update an existing Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Resource was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Delete an existing Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Resource was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleResourceCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Operational Role Resource collection",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleResourceCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Create a new Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{operationalRoleId}/Resources": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources for the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| inheritedFromTemplateCustomisationName | OperationalRoleResource->InheritedFrom_TemplateCustomisation_Name | string |  |\r\n",
        "operationId": "GetOperationalRoleResourceForOperationalRoleCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "operationalRoleId",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Operational Role Resource collection",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleResourceForOperationalRoleCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceOperationalRole": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Lookup the Operational Role for the Operational Role Resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceOperationalRole",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Operational Role collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleResourceOperationalRoleLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResourceActionCustomisation": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Lookup the API Resource Action Customisation for the Operational Role Resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ResourceActionCustomisation->Id | integer | int64 |\r\n| name | ResourceActionCustomisation->Name | string |  |\r\n| description | ResourceActionCustomisation->Description | string |  |\r\n| restrictionLevel | ResourceActionCustomisation->RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | ResourceActionCustomisation->Module | string |  |\r\n| resource | ResourceActionCustomisation->Resource | string |  |\r\n| resourceAction | ResourceActionCustomisation->ResourceAction | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResourceActionCustomisation",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable API Resource Action Customisation collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleResourceResourceActionCustomisationLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResourceAction": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Operational Role Resource",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| resourceActionName | ResourceActionSummary->ResourceActionName | string |  |\r\n| moduleName | ResourceActionSummary->ModuleName | string |  |\r\n| resourceName | ResourceActionSummary->ResourceName | string |  |\r\n| resourceActionType | ResourceActionSummary->ResourceActionType | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResourceAction",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable API Resource collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleResourceResourceActionLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResource": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Operational Role Resource",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| resourceName | ResourceSummary->ResourceName | string |  |\r\n| moduleName | ResourceSummary->ModuleName | string |  |\r\n| resourceDescription | ResourceSummary->ResourceDescription | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResource",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable API Resource collection",
            "schema": {
              "$ref": "#/definitions/OperationalRoleResourceResourceLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Batch/{ids}": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleResource->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleResource->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleResource->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleResource->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleResource->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleResource->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleResource->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleResource->ModifiedOn | string | date-time |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| inheritedFromId | OperationalRoleResource->InheritedFrom_Id | integer | int64 |\r\n| inheritedFromType | OperationalRoleResource->InheritedFrom_Type | string |  |\r\n| inheritedFromModule | OperationalRoleResource->InheritedFrom_Module | string |  |\r\n| inheritedFromIsDefault | OperationalRoleResource->InheritedFrom_IsDefault | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetOperationalRoleResource",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Operational Role Resource id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Operational Role Resource collection",
            "schema": {
              "$ref": "#/definitions/BatchGetOperationalRoleResourceResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Batch": {
      "post": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Create a new collection of Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Operational Role Resource batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Update a collection of existing Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchUpdateOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Resource batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Delete a collection of existing Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteOperationalRoleResourceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Resource batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/{id}": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a Operational Role Template resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleTemplate->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleTemplate->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleTemplate->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleTemplate->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleTemplate->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleTemplate->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleTemplate->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleTemplate->ModifiedOn | string | date-time |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleTemplate->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleTemplate->OperationalRole_Description | string |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n",
        "operationId": "GetOperationalRoleTemplate",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Operational Role Template",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleTemplateResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Update an existing Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateOperationalRoleTemplate",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateOperationalRoleTemplateResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Template was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Delete an existing Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRoleTemplate",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteOperationalRoleTemplateResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Operational Role Template was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a collection of Operational Role Template resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleTemplate->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleTemplate->OperationalRole_Description | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleTemplateCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Operational Role Template collection",
            "schema": {
              "$ref": "#/definitions/GetOperationalRoleTemplateCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Create a new Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| template | Nullable | False |  |\r\n| type | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateOperationalRoleTemplate",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateOperationalRoleTemplateResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{operationalRoleId}/Templates": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a collection of Operational Role Template resources for the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleTemplateForOperationalRoleCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "operationalRoleId",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
[...]
